Subject: [Hipsec] X.509 CSR in HIP registration

From: Robert Moskowitz <[email-masked]>
Date: Wed, 21 Aug 2019 16:46:17 -0400

I have been working on my Hierarchical HIT drafts.  I have been testing 
building x.509 certs with them as the SAN.  Thing is were do these certs 
come from?

So I moved on to when the device uses HIP Registration to register the 
HHIT to its Registry, it could present a CSR in the payload and if 
successfully registered (no duplicate HIT and policy test passes), would 
receive the cert back.

Has anyone looked at this in the past?  8002 assumes the cert was 
created some other way.  I am looking at the cert as a sort of proof of 
registration.

Opinions?

Bob